#ifndef __I2C_H_
#define __I2C_H_

void i2c_init(unsigned char);
void i2c_idle(void);
void i2c_close(void);

void i2c_start(void);
void i2c_restart(void);
void i2c_stop(void);

void i2c_send(unsigned char, unsigned int, unsigned char *);
void i2c_recv(unsigned char, unsigned int, unsigned char *);


#endif // __I2C_H_
